parameters:
    locale_fallback: en

    # Identifier used to generate the CSRF token. Commenting this line will result in authentication
    # issues both in AdminUI and REST calls
    ibexa.rest.csrf_token_intention: authenticate

    # You can uncomment following parameters to override the setting.
    # Their values correspond to the defaults being used.

    # One of `legacy` (default) or `solr`
    #search_engine: '%env(SEARCH_ENGINE)%'

    # Session save path as used by symfony session handlers (eg. used for dsn with redis)
    #ibexa.session.save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'

    # Trusted custom header name to be mapped to X_FORWARDED_FOR
    #ibexa.trusted_header_client_ip_name: 'X-Custom-Client-Ip-Header'
    #
    ## Keep in mind you need will to configure the kernel.trusted_proxies option with
    ## an IP address of your reverse proxy server to allow use of trusted headers
    ##
    ## framework:
    ##     trusted_proxies: ['127.0.0.1']
    ##
    ## More information: https://symfony.com/doc/current/deployment/proxies.html

    # Predefined pools are located in config/packages/cache_pool/
    # You can add your own cache pool to the folder mentioned above.
    # In order to change the default cache_pool use environmental variable export.
    # The line below must not be altered as required cache service files are resolved based on environmental config.
    #cache_pool: '%env(CACHE_POOL)%'

    # By default cache ttl is set to 24h, when using Varnish you can set a much higher value. High values depends on
    # using IbexaHttpCacheBundle (default as of v1.12) which by design expires affected cache on changes
    #httpcache_default_ttl: '%env(HTTPCACHE_DEFAULT_TTL)%'

    # Settings for HttpCache
    #purge_server: '%env(HTTPCACHE_PURGE_SERVER)%'

    # Varnish invalidation/purge token (for use on platform.sh, eZ Platform Cloud and other places you can't use IP for ACL)
    #varnish_invalidate_token: '%env(resolve:default::HTTPCACHE_VARNISH_INVALIDATE_TOKEN)%'

    # Compile time handlers
    ## These are defined at compile time, and hence can't be set at runtime using env()
    ## config/env/generic.php takes care about letting you set them by env variables

    ## Session handler, by default set to file based (instead of ~) in order to be able to use %ezplatform.session.save_path%
    # env: SESSION_HANDLER_ID
    #ibexa.session.handler_id: session.handler.native_file

    ## Purge type used by HttpCache system ("local", "varnish"/"http", and on ee also "fastly")
    #purge_type: '%env(HTTPCACHE_PURGE_TYPE)%'

    env(HTTPCACHE_PURGE_TYPE): local # default value to maintain BC

ibexa:
    # HttpCache settings, By default 'local' (Symfony HttpCache Proxy), by setting it to 'varnish' you can point it to Varnish
    http_cache:
        purge_type: '%purge_type%'

    # Repositories configuration, setup default repository to support solr if enabled
    repositories:
        shop:
            product_catalog:
                engine: default
                regions:
                    germany:
                        vat_categories:
                            standard: 18
                            reduced: 6
                            none: ~              
        default:
            storage: ~
            search:
                engine: '%search_engine%'
                connection: default
            product_catalog:
                engine: default
    ui:
        translations:
            enabled: true

    # Siteaccess configuration, with one siteaccess per default
    siteaccess:
        list:
            - import
            - site
            - admin
            - corporate
        groups:
            site_group: [import, site]
            corporate_group: [corporate]
            storefront_group: [site]
        default_siteaccess: site
        match:
            URIElement: 1
            # Uncomment if you've enabled SiteFactory
            # '@Ibexa\SiteFactory\SiteAccessMatcher': ~

    # System settings, read in following order: `default`, <siteaccess-group>, <siteacces>, and `global`
    # TIP: For multisite installations organize shared config into SiteAccess groups,
    #      on single-site you can place shared config under "default" for simplicity as shown below.
    system:
        default:
            # Cache pool service, needs to be different per repository (database) on multi repository install.
            cache_service_name: '%cache_pool%'
            # These reflect the current installers, complete installation before you change them. For changing var_dir
            # it is recommended to install clean, then change setting before you start adding binary content, otherwise you'll
            # need to manually modify your database data to reflect this to avoid exceptions.
            var_dir: var/site
            content:
                # As we by default enable IbexaHttpCacheBundle which is designed to expire all affected cache
                # on changes, and as error / redirects now have separate ttl, we easier allow ttl to be greatly increased
                default_ttl: '%httpcache_default_ttl%'
            # HttpCache purge server(s) setting, eg Varnish, for when ezpublish.http_cache.purge_type is set to 'varnish'.
            http_cache:
                purge_servers: ['%purge_server%']
                varnish_invalidate_token: '%varnish_invalidate_token%'
            product_catalog:
                currencies:
                    - EUR

            assets:
                icon_sets:
                    public_icons: /bundles/ibexaadminui/img/ibexa-icons.svg
                    streamlineicons: /bundles/ibexaicons/img/all-icons.svg
                default_icon_set: streamlineicons
                
            personalization:
                api:
                    admin:
                        endpoint: 'https://admin.test.perso.ibexa.co'
                    recommendation:
                        endpoint: 'https://reco.test.perso.ibexa.co'
                    event_tracking:
                        endpoint: 'https://event.test.perso.ibexa.co'
                        script_url: 'cdn.test.perso.ibexa.co/ibexa-tracker-test.js'
                site_name: 'Main'
                host_uri: 'http://127.0.0.1'
                authentication:
                    customer_id: 17751
                    license_key: Uchuze123
                included_item_types:
                    - 'landing_page'

            page_layout: "@ibexadesign/pagelayout.html.twig"
            user_content_type_identifier: ['user', 'customer']
        site:
            languages: [eng-GB]
            user_content_type_identifier: ['customer']
            user_registration:
                user_type_identifier: 'customer'
                group_id: 57
            translation_siteaccesses:
                - site
            page_layout: '@ibexadesign/storefront/layout.html.twig'
            product_catalog:
                currencies:
                    - EUR
                    - PLN
                    - USD
                regions:
                    - germany
            storefront:
                name: Ibexa
                logo: 'bundles/ibexaadminui/img/ibexa-logo.svg'
                catalog:
                    default: main
                    customer_group:
                        vip: vip
                product_list_limit: 9
                product_list_filters:
                    - product_type
                    - product_availability
                    - product_price
                user_settings_groups:
                    - location
        shop:
            product_catalog:
                currencies:
                    - EUR
                    - USD
                    - PLN
                regions:
                    - germany

        corporate_group:
            languages: [eng-GB]

    url_alias:
        slug_converter:
            transformation: 'urlalias_lowercase'

framework:
    translator: { fallback: '%locale_fallback%' }
    validation: { enable_annotations: true }
    default_locale: '%locale_fallback%'
    esi: true
    fragments: true
    http_method_override: true

    rate_limiter:
        corporate_account_application:
            policy: 'fixed_window'
            limit: 1
            interval: '5 minutes'
            lock_factory: 'lock.corporate_account_application.factory'

    lock:
        default: '%env(LOCK_DSN)%'
        corporate_account_application: '%env(IBEXA_LOCK_DSN)%'
